Subject: Me and my PDP... (long)
From: [email-masked] (Lars Persson)
Date: 2 Dec 92 02:02:41 GMT

Way back in the old days when terminal bells went BZWT and computers
were REAL computers and not some pizza-box like thingy with an oversize
TV-set on top, I became system manager for a PDP11/34a, real macho 19"
full size black coloured mini computer. Now, children, mini means that
you can not move it because it is housed in a full size 19" rack that
weighs more than your mortageplan for this and the following years.
Here are some interesting facts about the PDP11. 
The Programmable Data Processor MARK 11 is a general purpose 16 bit
overlay machine with a wast array of operating systems. It came 1970 and
the architecture is still being made today. Zillions of hackers and
system managers out there were introduced to the wonders of computers
and took the first step on a long and twisty path with occasional
beautiful scenery of late night hours. The PDP11 is very suitable for
Real Time applications. It is sometimes refered to as the fastest
parallel port in the west.. DEC (the creator of the PDP11 and of some
other less significant gadgets as the VAX11, LMF and the BI corner) 
has tried to kill this little critter but the critter is virtually 
indestructable. There are many flavours of PDP11-erism. Some has gone to
the big swapper in the sky but other trudges on. The really old ones had
blinkenlights and tastendrukks on the front panel. Later on there was
rubber buttons and BSD (Big Shining Digits) and eventually just a few
toggle switches. The operating systems became more complex as the
buttons grew fewer (the few-switch-more-fuzz syndrom). Yes, I said
operating systems. Here a few:
RT11 - Real Time 11. A single user, multi programming, multi terminal, 
multi user application operatins system. 
Awsome, huh? Single user - multi terminal..
You can start up the system on one terminal, hack along and be happy and
then TRANSFER your session to ANOTHER terminal and continue there. The
initial terminal then becomes inactive. Multi programming means that you
can have more than one job going at the same time. Like forground and 
background....
How about single user, multi user APPLICATION? Well.. you can write neat
and shimmering little programs that ACCESSES other devices thru and
application. This means that even though the operating system ITSELF
only converses with one terminal, the thrifty little PROGRAM you did in
Fortran 4 speaks with the other three (or what you have on your system).
This is neat and complicated... But fast...

RSX-family. Common. This is the four wheel drive operating system. It
does it all. Multi user, multi terminal, multi programming, queues, real time
pretty small and has queues. The operating system is totally flat. The
directories lies beside eachother and there is only one level. You log
into your own little bag where you keep all your file. Only wimps need a
structure on files. A real hacker know what he got and can find it. Naw
sweat.
Cute feature: You say hello when you log in. Like hello [1,54] means I
wanna log in as the system administrator. Aboard you can choose from two
CLI (Command Language Interpretors). The DCL (Digital Command Language,
a CLI that exists on most of DEC's operating systems save Ultrix) or MCR
(Monitor Console Routine). You REALLY run MCR but when you have choosen
DCL. The DCL is INTERPRETED into MCR. DCL is therefore a CLII (Command
Language Interpretor-Interpretor). There are some incomprehensible
things on the RSX11. One is PIP...
Peripheral Interchange (or Intercommunication) Program is what you use.
You might not understand it first but after a while it becomes a nice
tool to confuse novices, baboons (another world for YOUR stupid and
ignorant superiors) and sometimes even yourself.
For a starter: You use PIP to transfer data from point A to point B.
Here is a copy command:
PIP DK0:[5,56]MYFILE.TXT;1=DK1:[7,77]YOURFILE.TXT;3

Now you are not lucky enough to have copied myfile into yourfile. Oh no.
That would be to easy. You have done the reverse. There is a reverse
syntax on PIP compared with what you are used to.

Here is another feature: PIP TI:=DK1:[7,77]YOURFILE.TXT;3 
This one types yourfile on your screen.

Now lookee here: PIP DK1:[7,77]YOURFILE.TXT;3=TI:
Guess what children.. You have just begun to copy text from your
terminal into yourfile... Neat huh?

PIP is a massively useful program. PIP /FR tells how much space you have
left on your disk and PIP *.*;*/RM erase all you got. No questions
asked. 

RSX is as old as the hills. The family is wide and confusing. SOME of 
the members are: 

RSX11/M. Needs 18 bit wide adress range on the bus. CAN be made to run on a 
more narrow bus, but poorly.

RSX11/S. Single user, memory based operating system. Used for stand
alone measure-control-no-nonsens-factory-hard-hat computers. Runs
nicely on 64K core or less. Loads mainly thru downline loading from a
load host. Yes you can build stand alone Space Invaders.

RSX11/M+ Needs 22 bit wide adress range on the bus. It is RSX11/M with
extra options like named directories, batch and some other niceties.
Real hackers consider this a sissy operating system since things are
less obscure and complicated. Real users gets the shivers from this babe
too though.

uRSX. Horrible and ghastly! You can not run MCR but only DCL. A life
without PIP is a life in misery. This is really a scaled down RSX11M+
where the sissy parts are all there but the macho stuff is gone. 

P/OS. This is evil in concentration. It is a sales person approach to
operating systems made to run on a special type of PDP11 namely the
DEC/PRO. Without the so called TOOLKIT you can not reach the operating
system but is doomed to mess around in a bundle of menues to get your
jobs run. The PRO is in itself a very interesting machine. It is perhaps
the first true workstation. You have a PC like box and a bit map
graphics display. Inside is a small PDP11 (the 23 or 73 depending on
model of the PRO). This is a single user multi user operating system
with a semi flat directory structure. My is this evil!
The P/OS is a modified uRSX. You log in thru a menue, you run your
space ivaders thru a menue and you get a stroke thru a menue. The menues
are controlled by a series of function buttons above the numeric row.
You need a special stripe to know which one of the buttons are what.
The buttons supply niceties like DO, RESUME, NEXT, INSERT and other
things we all can live without. However, there is a toolkit... This is
basically DCL. With it you can reach your operating system and even
hook up a second terminal on the printer port (undocumented feature) and
have time sharing.
With clever assignments and logical names, the operating system APPEARS
to have a tree structure but realy does not. You will be amazed how lost
you can get on a 10 meg winchester!
As I believe the P/OS is released as public domain and aviable thru
DEC's user club DECUS for a price that is tagged so that you barely
do NOT scream SHYLOCK SHYLOCK!

There are more RSX11s around but we leave it here.
Another colourful operating systems is the RSTS-family.
The most used one is the RSTS/E and the uRSTS/E.
Here you can choose from three modes when dealing with the OS. You can
do it in RT11 mode, RSX-mode or BASIC. Yes, children, BASIC.
The other two modes are rather uncomplicated and the orientation of
RT11 and RSX are dealt with above. BASIC-mode is another thing. You
actually do all your fiddling with files, queues, fellow users and space
invader runnings thru a BASIC interpretor.
In some areas BASIC is pretty much like swearing at church. You can get
away with it but it is sociable not very acceptable. For those people I
do not recomend that they log in on an RSTS/E system in basic mode. The
trauma that would cause could be pretty devestating.

Other OS-es are IAS, MUMPS, CTS, CAPS11, TAP11 and various types of
UNIXes like BSD2.11, VENIX and so on and so forth. Shortly, you have
freedom of choice with your pet PDP11.

How about hardware then? Well.. There is some hardware about...
BUT there are also some errors to be made...
Basically what you have are two major types of buses and three adress
widths. Some stuff is interchangeable within the bus-types and some is not.

Here the two major bus types. UNIBUS and QBUS. The UNIBUS is a
replacement of the OMNIBUS (!) from the forerunner the PDP8. The UNIBUS
is a very usefull bus with lots of niceties that goes with it. The
oldest machines used UNIBUS. A UNIBUS is six slots wide and a UNIBUS
backplane is always wired. There are two types of slots. The UD and the
MUD. A card that has DMA needs a MUD. You can easily transform an UD to
a MUD by cutting the right strap on the wired backplane. *SHIVER*. To
retransfrom it, you wire back the strap. If a wrong type of card is
placed in an UD or a MUD, the PDP will croak at once on boot and report
BUS ERROR. This is not a fatal condition and just MUDify your UD or
DEMUD your MUD and you will be back in business.

Now UNIBUSes are big boxes that use a lot of power. They are expensive
to make and bulky. DEC took the UNIBUS under reconstruction and came out
with a DUAL to 	QUAD bus called the Qbus. The QBUS is more simple in its
construction but there are some DEAP DEAP pits to fall into.
As a starter the QBUS was made for PDP with 16 bit adress range. That
means that they can in theory adress 64 K of mem. The first only
swallowed around 56 or so. They run RT11 and RSX11/S. Somebody at DEC
said: Hey! Let us open up the range! First came 18 bit and then 22 bit.
This ment that true multi user systems could be made as QBUS machines.
Pretty dang good. The draw back was that the 22 bit and the 18 bit
machines are not TOTALLY compatible. Some 18 bit cards will go FUMP when
stuck into a 22 bit machine. Not ALL though. Just some... Nice feeling
there... I wonder if this expensive and custom built card will burn down
when put into a 22 bit machine... *FUMP* Yes it did....

The Qbus seeked its identity for a long time. There were all kinds of
Qbuses out there. Dual Q-buses, Quad Q-buses, dual Q-buses in quad boxes
with only powersupply and ground on the two right slots and so on.
The most awsome quirk I ever saw was a pirate PDP11 made by DATARAM. It
had a row of 22 bit duals to the left and a ZIGZAG 18 bit quad assembly
to the right. Between the two bus systems was a *MEMORY PATH MODULE*
that shoved the adresses on the 18 bit side up to highbyte on the left
side. Awsome! To bad the little bugger had burned to cinder when I got
my hands on it... Eventually DEC came out with the modern QBUS. This
babe has duals to the left and power and such to the right for a while
down the box. Then the guy went on vacation and Georgie to the right of
him took over and produced quad zigzags for the rest of the box. The
first cabinet was called BA23 and all so called MicroPDP systems are
housed in one or in the bigger brother the BA123. 
The great thing with both Q-bus and UNIBUS was that they do not give a
hoot on how many bits the processor processes. This means that in theory
devices are interchangeable between PDP11 systems (16 bit overlay
machine) and VAX11 systems (32 bit virtual machine). 

You can easily see if you have a Q-bus or a UNIBUS in your
documentation. Here some hints:'

PDP11 ending on 0 or 5 are old UNIBUS machines. Example: PDP11/45,
PDP11/60. Usually PDP11 ending on 05 are OEM machines and identical to
the next higher decimal. PDP11/05 and PDP11/10 (not to be confused with
the PDP10 that is a TOTALLY other architecture that sometimes HAS PDP11/10 as
communication computers). This would be to easy though. So the PDP11/55
and the PDP11/60 are totally different.

If the PDP11 ends on a 4 it is a newer UNIBUS machine. Here is a gallery
of PDP11/x4-s.
PDP11/34a 18 bit adress range. No separate I/D space.
PDP11/24  22 bit adress range. No separate I/D space.
PDP11/44  22 bit adress range. Separate I/D space. You can run UNIX on
this one and the rest of the UNIBUS list.
PDP11/84  Ditto but faster.
PDP11/94 This is the latest. Order from DEC thru YOUR fav'rite sales rep.

The PDP11/x3 is a Qbus machine. Here are some:

PDP11/03 First Q-bus. Came in -73. 16 bit adress range. SOOOO SLOOOOOW.
PDP11/23 18 bit. Compatible with the 34.
PDP11/23 Rev C. 22 bit. Pretty compatible with the 24.
PDP11/23+ 22 bit. Compatible with the 24. Two serial lines on the CPU card!
PDP11/73 22 bit. Separate I/D space. Unixable! Faster than the 23.
PDP11/53 Pretty simular in function to the 73. Has another CPU card and
is slower. Unixable as the rest of the list.
PDP11/83. Same card as the 73 but faster clock and, hardware floating
point as standard and a different prom that identifies it as an 83.
PDP11/93. The Q-bus 94. Fast and expensive.

Well, friends. This has been a little orientation in PDP11 trivia. There
is still much to be said like a comprehensive overview of Peripherals of
the Past and My favorite SLUs, How To Strap A DL11 without consuming a
sixpack of beer first or MacroAssembler, the COMPLETE guid in just a
double sided leaflet saying PDP11 in big friendly letters on the top of
the first page. These tasks has to be preformed by somebody else. It is
cofee time over here now and I am leaving you.
Happy hacking!
/L. Persson, Harlosa PD computer center, Sweden.

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!agate!stanford.edu!rutgers!news.columbia.edu!watsun.cc.columbia.edu!lasner
From: [email-masked] (Charles Lasner)
Newsgroups: alt.folklore.computers,alt.sys.pdp8
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 14:09:17 GMT
References: <[email-masked]>
Sender: [email-masked] (The Network News)
Reply-To: [email-masked] (Charles Lasner)
Organization: Columbia University
Lines: 46
Xref: sot-ecs alt.folklore.computers:29102 alt.sys.pdp8:7
Nntp-Posting-Host: watsun.cc.columbia.edu

In article <[email-masked]> [email-masked] (Lars Persson) writes:
>
>Here the two major bus types. UNIBUS and QBUS. The UNIBUS is a
>replacement of the OMNIBUS (!) from the forerunner the PDP8. The UNIBUS

Wrong:

PDP-8 Positive buss: 1968.  Cables between wire-wrapped assemblies.  The cables
are coax or flat ribbon only if run short.  Buss is always synchronous.

UNIBUS for 11/20 et al. 1969 (in prototypes).  Wide flat ribbon cables between
wire-wrapped assemblies.  Buss is asynchronous to allow longer lengths.

OMNIBUS for PDP-8/e et al. 1970.  Buss is made from the same module blocks as
the other busses but has a printed circuit board to interconnect all fingers
in all slots; there are *no* exceptions, thus no dedicated slots (save the
fact that the CPU stuff has to be at one end and the terminator at the other
end more or less; newer configurations could even redefine which end was the
"front").  Total buss length is 20 slots of module blocks.  Similar to UNIBUS
M920 buss jumpers (for short UNIBUS runs) are the M935 OMNIBUS jumpers which
of course jumper all fingers (M920 do not; typical for UNIBUS it has exception
cases and jumpered fingers, etc.).  Two M935's are used to extend the buss
when it is housed in the PDP-8/e box to a total of 40 slots (38 due to the
overhead of the M935's themselves).  (The smaller PDP-8/f and /m cannot be
extended as such.)  Several years later, the first attempt to expand this
to a second box using BC08H cables.  (BC08H is electrically an M935 only
it looks like a UNIBUS cable, because all of these are made from the same
wide flat stiff ribbon cable; again, BC08H is one-for-one on connection
fingers whereas UNIBUS is not; had DEC rethought the implication of the
few inconsistencies of the UNIBUS here, there would not have been two similar
families of cables.)  Many ECO's later, the attempt is actually viable thus
allowing *reliable* operation of two boxes connected by cables.  OMNIBUS is
synchronous, which is part of the reason for all the problems with extending
it.  Later versions appear (PDP-8/a) with various similar cabling systems
between boxes.  The boxes get smaller (10,12,20 maximum) as the peripherals
get smaller (but likely packaged on hex boards to give a theoretical boost
of "real estate" of 50% if applicable, which often is *not* the case).  The
BC80C cable is created to connect between a hex box and a quad box.  (BTW,
this is the scheme of my own system.)

Still later, the Q-bus appears in various formats.  It is clearly a mechanical
cousin of the OMNIBUS using a printed circuit board on the same blocks.  The
Q-BUS can be defined in two slots, but is often quad (while OMNIBUS is always
quad).

cjl

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!mrccrc!warwick!pipex!uunet!zaphod.mps.ohio-state.edu!uwm.edu!ux1.cso.uiuc.edu!moe.ksu.ksu.edu!hobbes.physics.uiowa.edu!news.uiowa.edu!news
From: [email-masked] (Douglas W. Jones,201H MLH,3193350740,3193382879)
Newsgroups: alt.folklore.computers
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 14:43:20 GMT
References: <[email-masked]>
Sender: [email-masked] (News)
Organization: University of Iowa, Iowa City, IA, USA
Lines: 57
Nntp-Posting-Host: pyrite.cs.uiowa.edu

From article <[email-masked]>,
by [email-masked] (Lars Persson):
> 
> Here the two major bus types. UNIBUS and QBUS. The UNIBUS is a
> replacement of the OMNIBUS (!) from the forerunner the PDP8.

No!  The UNIBUS based PDP-11 was introduced at about the same time as
the OMNIBUS based PDP-8.  Earlier PDP-8 systems had yet other bus
structures that were replaced by the omnibus.  Both the UNIBUS and
OMNIBUS share the property that they allow both memory and peripherals
to plug into the same bus.  The difference is that OMNIBUS peripherals
are addressed in a different address space from memory (and the OMNIBUS
is only 12 bits wide, for data).  The UNIBUS puts peripherals and data
in the same address space, and supports 16 bit transfers.  Finally, the
UNIBUS is a tighter design, with roughly half the lines that are used
in an OMNIBUS.  This is because the omnibus exposes the internals of the
CPU to everything on the bus (for example, to the front panel with
blinking lights and switches) while the UNIBUS is used only to connect
the CPU to peripherals and memorym, and is not used to interconnect the
parts of the CPU.

> The oldest machines used UNIBUS.

The PDP-11/15 and PDP-11/20 were the oldest machines.
The PDP-11/45 came next; it also used the UNIBUS, but it supported all 18
bits of the address lines, and it had a neat floating point unit.
The PDP-11/40 was a step backward from the PDP-11/45, also with UNIBUS.
The PDP-11/70 was a step up from the 11/45, with a special high speed
memory bus, a cache, and fast mosfet RAM, using the UNIBUS only for I/O.

> A UNIBUS is six slots wide and a UNIBUS backplane is always wired.

No, the UNIBUS is 2 slots wide, but the standard backplane was 6 slots
wide.  the typical "old" UNIBUS peripheral interface was built on a BB11
System Unit, a block of card-edge connectors 6 slots wide by 4 boards
deep, with a total of 4 slots reserved for the UNIBUS, two for the daisy
chain in, and two for the daisy chain out.  The remainder of the slots
were randomly wire-wrapped together to hold the logic needed to interface
to that peripheral.

> Now UNIBUSes are big boxes that use a lot of power. They are expensive
> to make and bulky. DEC took the UNIBUS under reconstruction and came out
> with a DUAL to QUAD bus called the Qbus. The QBUS is more simple in its
> construction but there are some DEAP DEAP pits to fall into.

The Q bus is exactly 2 slots wide (DUAL only), but Q-bus backplanes were
manufactured in widths of 2, 4 or 6 slots.  (I have a 6 slot backplane
at home, gathering dust.  If you want it, you pay shipping.)  The 4 and 6
slot backplanes just had the bus wrapped back on itself so you could plug
dual-width Q-bus cards in side by side.  However, since most Q-bus
backplanes were at least 4 slots wide, DEC made many boards that were 4
wide simply to get more board area for chips and stuff.  On such boards,
the bus interface tends to be spread out on both available bus connections,
with only about half the pins on each being used.

				Doug Jones
				[email-masked]

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!daresbury!daresbury!mrccrc!warwick!pipex!uunet!noc.near.net!news.bbn.com!olivea!charnel!rat!usc!sol.ctr.columbia.edu!zaphod.mps.ohio-state.edu!uwm.edu!zazen!doug.cae.wisc.edu!umn.edu!sctc.com!smith
From: [email-masked] (Rick Smith)
Newsgroups: alt.folklore.computers
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 15:58:37 GMT
References: <[email-masked]>
Organization: SCTC
Lines: 56

[email-masked] (Lars Persson) shares some great memories...

>Way back in the old days when terminal bells went BZWT and computers
>were REAL computers and not some pizza-box like thingy with an oversize
>TV-set on top, I became system manager for a PDP11/34a, real macho 19"
>full size black coloured mini computer. 

I always thought of the 11/34 as being sort of pizza-box sized, maybe
5" high with a keypad on the front. At least, that's the way ours
looked.  It would have been a pretty thick crusted pizza, but it was
lots slimmer than the 11/20 I used before. It was the same size as the
11/04's we got a couple years earlier.

Around the same time, DEC built a similar sized machine called the
PDP-11/05 which had a graphics screen living atop it. Nothing new
under the sun...

>.... The really old ones had
>blinkenlights and tastendrukks on the front panel.

The Industry took a big step backwards when we lost our blinkenlights.
Kudos to the Connection Machine.

>Here is a copy command:
>PIP DK0:[5,56]MYFILE.TXT;1=DK1:[7,77]YOURFILE.TXT;3

This command style seemed a model of clarity to me after using OS/JCL.
Looks quaint now. Then, of course, there was TECO. Never mind.

>Other OS-es are IAS, MUMPS, CTS, CAPS11, TAP11 and various types of
>UNIXes like BSD2.11, VENIX and so on and so forth. Shortly, you have
>freedom of choice with your pet PDP11.

Back in the Really Olden Days there was something called DOS-11. A
noble attempt to fit a comprehensive general purpose operating system
into 8K of RAM. Seemed like just about everything swapped. Really
something to watch when running off of DECtape (there was this
distinctive spin it took on when it needed to load the fatal error
reporting routine).  Well, RT-11 was no picnic to run from DECtape
either.

>PDP11/03 First Q-bus. Came in -73. 16 bit adress range. SOOOO SLOOOOOW.

Later than '73 I believe. At least I didn't see any actually in use until
much later. I think the Microcomputer Handbook (its manual) showed up 
first in '75.

> How To Strap A DL11 without consuming a
>sixpack of beer first ...

It never seemed to take less than a day to hook a serial line between
two DLs regardless of how much beer we drank during lunch. That
includes wiring the cable, though.

Rick.
[email-masked]       arden hills, minnesota

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!agate!stanford.edu!hsdndev!newsfeed.rice.edu!exlogcorp!mcdowell
From: [email-masked] (Steve McDowell)
Newsgroups: alt.folklore.computers
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 16:05:47 GMT
References: <[email-masked]>
Organization: EXLOG, Inc.
Lines: 37

In message <[email-masked]>[email-masked] (Lars Persson) writes:
> 
> RT11 - Real Time 11. A single user, multi programming, multi terminal, 
> multi user application operatins system. 
> Awsome, huh? Single user - multi terminal..
>
> How about single user, multi user APPLICATION? Well.. you can write neat
> and shimmering little programs that ACCESSES other devices thru and
> application. This means that even though the operating system ITSELF
> only converses with one terminal, the thrifty little PROGRAM you did in
> Fortran 4 speaks with the other three (or what you have on your system).
> This is neat and complicated... But fast...

Fortran 4? How about MACRO-11? Most folks in the US are familiar with the
TicketMaster corporation -- they sell concert & baseball tickets from outlets
all throughout the country. Each city that TicketMaster serviced had their
own set of PDP-11/34's running RT-11. On top of RT-11 was a "single-user -
multi-terminal" application to sell & track ticket sales. 

Fast? You bet. On an old 11/34a we could get 80 terminals going at once before
performance began to degrade. File system? Home grown, not that RT-11 filesystem. 
Database? We build one. A huge b-tree thing that spanned two RK-07 drives. 
Fault tolerance? We were doing disk shadowing and automatic cpu switchover on
faults before it was fashionable. Kudos to Pete Gadwa, the only true wizard
I ever met. (and yes, I know "kudos" is singular :))

RT-11 was the perfect base to build whatever system you wanted to build. It's 
what today's micro-kernel designers are striving to deliver. Granted, the 
builders of RT-11 didn't have to worry about threads or tcp/ip or even supporting
a C compiler, but it was still a grand system. I cursed and screamed at the time, but 
I'm thankful for the experience now. 

-- 
Steve McDowell             . . . . o o o o o 		Opinions are 
Exlog, Inc.	                  _____      o     	mine, not my 
[email-masked]      _____====  ]OO|_n_n__][.    	employers..
		       [_________]_|__|________)<   

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!mrccrc!warwick!pipex!uunet!zaphod.mps.ohio-state.edu!wupost!news.utdallas.edu!corpgate!bnrgate!nott!torn!watserv2.uwaterloo.ca!watdragon.uwaterloo.ca!kcwellsc
From: [email-masked] (Ken Wellsch)
Newsgroups: alt.folklore.computers
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 17:32:23 GMT
References: <[email-masked]>
Organization: University of Waterloo
Lines: 48

A most enjoyable article, thank you!  If I may quibble over a couple
trifles, I believe the OMNIBUS actually came out after the UNIBUS.
Now I'm sure both were created based on the same philosophy but the
OMNIBUS I'm almost positive did not go on to be the UNIBUS.

> Here the two major bus types. UNIBUS and QBUS. The UNIBUS is a
> replacement of the OMNIBUS (!) from the forerunner the PDP8.

How about 1975 for the 11/03?

> PDP11/03 First Q-bus. Came in -73. 16 bit address range. SOOOO SLOOOOOW.

The following history as taken from an old posting may help on both
the above:  (the PDP 8/E I think introduced the OMNIBUS in 1971 versus
the 11/20 which introduced the UNIBUS in 1970)

        DEC PDP-1 (M.T.)      Nov 1960
        DEC PDP-1 (P.T.)      Nov 1960
        DEC PDP-4             Sep 1962
        DEC PDP-5             Aug 1963
        DEC PDP-6             Jul 1964
        DEC PDP-8             Apr 1965
        DEC PDP-7             Apr 1965
        DEC PDP-8/S           Sep 1966
        DEC PDP-9             Dec 1966
        DEC PDP-10 (KA10)         1967
        DEC PDP-8/I           Apr 1968
        DEC PDP-9/L           Nov 1968
        DEC PDP-8/L           Nov 1968
        DEC PDP-12            Apr 1969
        DEC PDP-15            Jan 1970
        DEC PDP-11/20         Apr 1970
        DEC PDP-11/10             1970
        DEC PDP-8/E           Mar 1971
        DEC PDP-8/M           Jun 1972
        DEC PDP-11/05         Jun 1972
        DEC PDP-11/45         Jun 1972
        DEC PDP-11/40         Jan 1973
        DEC PDP-8/A           Jan 1975
        DEC PDP-11/70         Mar 1975
        DEC PDP-11/03         Jun 1975
        DEC PDP-11/04         Sep 1975
        DEC PDP-11/34         Mar 1976
        DEC PDP-11/55         Jun 1976
        DEC PDP-11/60         Jun 1977
        DEC PDP-11/34A        May 1978
        DEC PDP-11/23         Jan 1979
	  ...

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!mrccrc!warwick!pipex!uunet!usc!sdd.hp.com!zaphod.mps.ohio-state.edu!darwin.sura.net!uvaarpa!concert!samba!usenet
From: [email-masked] (Tony Duell)
Newsgroups: alt.folklore.computers
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 18:35:57 GMT
References: <[email-masked]>
Sender: [email-masked]
Organization: University of North Carolina Extended Bulletin Board Service
Lines: 32
Nntp-Posting-Host: lambada.oit.unc.edu

I was under the impression that all UNIBUS slots could do DMA (NPR in
DEC's terminology), and an MUD slot was one wher the connectors A,B were
wired to handle memory boards (like an 11/34 backplane). That's what my
printsets seem to imply anyway.
  Some more UNIBUS trivia - why the data lines appear twice on a UNIBUS
SPC (small peripheral controller) slot
The orignal scheme was to have the device in slots C,D (from where it got
the data lines, IN, OUT, Interupt request signals etc), an M105 address
decoder module in slot E (which decoded the address, porduced SSYN to the
CPU, and IN,OUT to th peripheral) and and M782 (M7820 and M7821 also
worked) in slot F, which then accepted the interupt signals from the
peripheral and did the UNIBUS request cycle.
 As the Interupt controller also needed data lines (to provide the
vector), some data lnes also appeared on slot F.
  The next idea was to integrate all the parts onto one PCB, but to keep
the use of all the pins. So, for example, the board would decode the
address, generate the OUT signal, send it out on slot E, read it back
again on slot D (I think - maybe C), and then act on it. Such board would
take the device data from slot D( I think), and the interupt vector on
slot F.
  Finally, the signals were kept inside the board at all times, and only
one set of data lines was used. Slot F was only used for a couple of
signals that were nowhere else - INTR was the main one I think
-tony 'PDP11 Hacker' Duell
[email-masked]

--
   The opinions expressed are not necessarily those of the University of
     North Carolina at Chapel Hill, the Campus Office for Information
        Technology, or the Experimental Bulletin Board Service.
           internet:  laUNChpad.unc.edu or 152.2.22.80

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!agate!biosci!uwm.edu!zaphod.mps.ohio-state.edu!sdd.hp.com!usc!cs.utexas.edu!qt.cs.utexas.edu!yale.edu!jvnc.net!darwin.sura.net!uvaarpa!concert!samba!usenet
From: [email-masked] (Tony Duell)
Newsgroups: alt.folklore.computers
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 19:03:53 GMT
References: <[email-masked]> <[email-masked]>
Sender: [email-masked]
Organization: University of North Carolina Extended Bulletin Board Service
Lines: 18
Nntp-Posting-Host: lambada.oit.unc.edu

The PDP11/34 could come in 2 different designs of cabinet - the 10.5" one
with top access to the boards and a modular PSU at the back, or the 5.25"
one with the board horizontal and a single PSU block on the right.  The
first is, I think much more common. 
  The machine with the monitor on top was probably the GT40. It used an
11/05 CPU (and had the 11/05 switches and lights front panel) in a special
backplane that held the CPU, the 3 board 8K core memory set, the VT11
vector graphics system (3 more boards), and one SPC slot , normally a DL11
for communications with thte host machine. 
-tony 'PDP11 Hacker' Duell
[email-masked]

--
   The opinions expressed are not necessarily those of the University of
     North Carolina at Chapel Hill, the Campus Office for Information
        Technology, or the Experimental Bulletin Board Service.
           internet:  laUNChpad.unc.edu or 152.2.22.80

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!mrccrc!warwick!pipex!uunet!uchinews!rover.uchicago.edu!frank
From: [email-masked] (Frank - Hardware Hacker - Borger)
Newsgroups: alt.folklore.computers
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 21:19:00 GMT
References: <[email-masked]> <[email-masked]>
Sender: [email-masked] (News System)
Reply-To: [email-masked]
Organization: Joint Center for Radiation Therapy
Lines: 29
News-Software: VAX/VMS VNEWS 1.41

In article <[email-masked]>, [email-masked] (Ken Wellsch) writes...
>A most enjoyable article, thank you!  If I may quibble over a couple
>trifles, I believe the OMNIBUS actually came out after the UNIBUS.
>Now I'm sure both were created based on the same philosophy but the
>OMNIBUS I'm almost positive did not go on to be the UNIBUS..
> ...
	Yes, the OMNIBUS and UNIBUS were really parallel developments for
	the PDP8 and PDP11.

	Our PDP8E was the 8 that introduced the OMNIBUS, but it had a board
	set at the back that converted to the older style peripherals,
	(DEC-TAPE, etc.)

	The main difference was that UNIBUS is asyncronous, so that you could
	have very long, loaded busses. (Must have had 50 feet of buss cable
	in our 11/45 at one time, because it snaked back and forth inside a
	5bay cabinet.)

	One other minor point, this is not a history lesson. Lots of systems
	like this are still running. The system across the hall has been
	in operation since circa 1974. The relay racks, AC power distri-
	bution boxes and the TU10 mag-tape are still original, but just about
	the entire system is different from square one, but it runs.

   Frank R. Borger - Physicist    __       Internet:  [email-masked]
Michael Reese - Univ. of Chicago |___      Phone : 312-791-8075 fax : 567-7455
  Center for Radiation Therapy   | |_) _   Early to rise and early to bed makes
                                   | \|_)  a male heathy, wealthy and dead.
    "Birthplace of Softball"          |_)  James Thurber

From alt.folklore.computers Fri Dec 11 09:24:31 1992
Path: sot-ecs!doc.ic.ac.uk!agate!usenet.ins.cwru.edu!magnus.acs.ohio-state.edu!zaphod.mps.ohio-state.edu!sol.ctr.columbia.edu!The-Star.honeywell.com!umn.edu!sctc.com!smith
From: [email-masked] (Rick Smith)
Newsgroups: alt.folklore.computers
Subject: Re: Me and my PDP... (long)
Message-ID: <[email-masked]>
Date: 2 Dec 92 22:07:04 GMT
References: <[email-masked]> <[email-masked]> <[email-masked]>
Organization: SCTC
Lines: 9

[email-masked] (Tony Duell) writes:

>  The machine with the monitor on top was probably the GT40. 

That's right. With that terrific version of Lunar Lander. It was so
annoying to crash land on the McDonald's...

Rick.
[email-masked]      arden hills, minnesota